<?
include 'inclydings/gzips.php';
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
if (isset($user)) {

switch($go) {

default:
if(!@file("L2dbnam/esql2db/1event/$log.dat")){
echo"- Вы не участник <b>Новогоднего евента</b><br/>
Вы можете принять участие <a href=\"Event.php?$sd&go=reg\">здесь</a><br/>";}else{
$text = @file("L2dbnam/esql2db/1event/$log.dat");
$text = explode(":||:",$text[0]);
echo"Привет странник , ты слыхал что с монстров выпадают  <b>Снежинки</b>?<br/> Нет? ну тогда я тебе сейчас расскажу.<br/>
С любых монстров выпадают Снежинки с небольшим щансом , если ты соберёшь Снежинки и придёшь ко мне то ты сможешь обменять их нa:<br/>
<a href=\"Event.php?$sd&go=col\">Coin of Luck </a> - (<font color=red>100 </font>снежинок) <br/>
<a href=\"Event.php?$sd&go=go\">Шапку Деда мороза </a> - (<font color=red>500 </font>снежинок) <br/>
<a href=\"Event.php?$sd&go=bow\"> Посох Деда Мороза</a> - (<font color=red>1000 </font>снежинок)<br/><br/>
Вы собрали $text[0] Снежинок <br/>";}
break;
case 'col':
if(!@file("L2dbnam/esql2db/1event/$log.dat")){echo"- Вы не участвуете в эвенте"; include "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/1event/$log.dat");
$text = explode(":||:",$text[0]);
if($text[0]<"100"){echo"- Вы не собрали нужное количество ресурсов у вас $text[0] Снежинок"; include "inclydings/down.php"; exit;}else{
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
$udata[14]=$udata[14]+1;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
@unlink("L2dbnam/esql2db/1event/$log.dat");
fclose($fp);
echo"Вы успешно получили 1 Coin of Luck!<br/>";
echo"-<a href=\"Event.php?$sd\"> Продолжить</a>";
}
break;

case 'reg':
if(!@file("lL2dbnam/esql2db/1event/$log.dat")){
$text="0:||:";

$fp=fopen("L2dbnam/esql2db/1event/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/1event/$log.dat", 0666);
echo"- Вы успешно подали заявку на эвент<br/>
- <a href=\"Event.php?$sd\">Продолжить</a><br/>";}else{
echo"- Вы уже принимаете участь в эвенте<br/>
- <a href=\"Event.php?$sd\">Продолжить</a><br/>";}
break;
case 'go':
if(!@file("L2dbnam/esql2db/1event/$log.dat")){echo"- Вы не участвуете в эвенте"; include "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/1event/$log.dat");
$text = explode(":||:",$text[0]);
if($text[0]<"500"){echo"- Вы не собрали нужное количество ресурсов у вас $text[0] Снежинок"; include "inclydings/down.php"; exit;}else{
$text2="2012:||:1100500:||:ykr:||:NG:||:Шапку Деда мороза:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink("L2dbnam/esql2db/1event/$log.dat");
echo"- Вы успешно получили <b>Шапку Деда мороза</b>";}
break;
case 'bow':
if(!@file("L2dbnam/esql2db/1event/$log.dat")){echo"- Вы не участвуете в эвенте"; include "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/1event/$log.dat");
$text = explode(":||:",$text[0]);
if($text[0]<"1000"){echo"- Вы не собрали нужное количество ресурсов у вас $text[0] Снежинок"; include "inclydings/down.php"; exit;}else{
$text2="5000:||:0:||:weapon:||:NG:||:Посох Деда Мороза:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink("L2dbnam/esql2db/1event/$log.dat");
echo"- Вы успешно получили <b>Посох Деда Мороза</b>";}
break;
}}else{echo"Пароль или логин неверен!";}
include 'inclydings/down.php';
?>
